Subject: New permissions

From: [email-masked] (Rob Thomas 890-7033 Mathematical Sciences Dept., Univ. of Alabama-Huntsville)
Date: Wed, 5 May 1993 08:38:54 -0700

Sounds like an interesting idea. As I see it, this is very much the same as
the ParaWizard idea that floated around on LambdaMOO several months ago, but
approached from the opposite angle. Rather than adding powers to an extended
group of ordinary programmers to make our ParaWizzes, we're removing powers
from regular Wizards. I'd certainly like to, at times, take away some powers
from my wizards, not for punishment, or because they've done anything wrong
(beyond accidentally recycling the living room, that is.. I'm about to
implement a delayed destruction feature after that incident). Anyhow, though,
when you talk about modifying whole permissions systems, it may be a bigger
task than it at first seems.  Consider that first, you may have to change
several server verbs to work with the new permissions. Second, unless you're
willing to modify the server in such a way that beta wizards have only
universal read permission, rather than universal read/write permission (a
very serious and strict limitation on a wizard, in my estimation), any beta
wizard who really wanted archwizard powers could get them relatively easily,
barring any calls to server functions which operate only if player.arch.
Granted this would be an unscrupulous sort of beta-wiz who would do this sort
of thing, but if you don't feel you can trust the wizards on your MOO enough
that you feel comfortable giving them their limitations verbally, why are
they wizards on your MOO in the first place?

Honestly, I'm afraid it sounds like I don't like the idea, but that's not true.
I do like it, but can't help thinking that it's enough trouble keeping
programmers from hacking wizbits. I tend to think what you want to do, as far
as limiting wizards, could be better and easier accomplished with core hacks
and trust.

Just musing, and pitching in my twopence...
====Rob.